#+TITLE: Realization Catalog
#+AUTHOR: VLEAD
#+DATE: [2018-11-29 Thu]
#+SETUPFILE: ../../org-templates/level-2.org
#+TAGS: boilerplate(b)
#+EXCLUDE_TAGS: boilerplate
#+OPTIONS: ^:nil

* Introduction
This document captures the realization catalog of bubble sort
Experiment.

* Realization Catalog

#+NAME: realization-catalog
#+BEGIN_SRC js
var realizationCatalog = {
  // Image Aretfacts
  "Swapping Visualization": {
    "resource_type": "Image",
    "url": "/build/code/static/img/swap.png"
  },
  "Iteration Visualization": {
    "resource_type": "Image",
    "url": "/build/code/static/img/oneiteration.png",
  },
  "Algorithm Visualization": {
    "resource_type": "Image",
    "url": "/build/code/static/img/bubble.png"
  },
  "Technique Visualization": {
    "resource_type": "Image",
    "url": "/build/code/static/img/optimise1.png"
  },
  "Termination Visualization": {
    "resource_type": "Image",
    "url": "/build/code/static/img/optimise2.png"
  },
  "Stable Bubble Sort": {
    "resource_type": "Image",
    "url": "/build/code/static/img/stablebubble.png"
  },
  "Stable and Unstable Sort": {
    "resource_type": "Image",
    "url": "/build/code/static/img/stable.png"
  },
  "Comparison Graph": {
    "resource_type": "Image",
    "url": "/build/code/static/img/comparison.png"
  },
  "Sorting Visualization": {
    "resource_type": "Image",
    "url": "/build/code/static/img/sort.png"
  },

  // HTML Artefacts
  "Optimized Bubble Sort Demo": {
    "reqs_satisfied": "Provides an artefact to show the opti bubble sort algo",
    "resource_type": "html",
    "url": "/build/code/runtime/html/optibubble_demo.html"
  },
  "Bubble Sort Demo": {
    "reqs_satisfied": "Provides an artefact to show the split operation",
    "resource_type": "html",
    "url": "/build/code/runtime/html/bubble_demo.html"
  },
  "Practice : Optimized Bubble Sort": {
    "reqs_satisfied": "Provides an artefact to practice opti bubble sort",
    "resource_type": "html",
    "url": "/build/code/runtime/html/optibubble_practice.html"
  },
  "Exercise : Optimized Bubble Sort": {
    "reqs_satisfied": "Provides an artefact to exercise opti bubble sort",
    "resource_type": "html",
    "url": "/build/code/runtime/html/optibubble_exercise.html"
  },
  "Exercise : Bubble Sort": {
    "reqs_satisfied": "Provides an artefact to exercise opti bubble sort",
    "resource_type": "html",
    "url": "/build/code/runtime/html/bubble_ex.html"
  },
  "Practice : Bubble Sort": {
    "reqs_satisfied": "Provides an artefact to practice bubble sort",
    "resource_type": "html",
    "url": "/build/code/runtime/html/bubble_practice.html"
  },
  "Demo : Bubble Sort Time Complexity": {
    "reqs_satisfied": "Provides an artefact to practice bubble sort",
    "resource_type": "html",
    "url": "/build/code/runtime/html/bubble_time.html"
  },

  //Video Artefacts
  "Introduction Video": {
    "resource_type": "video",
    "url": "https://www.youtube.com/embed/1WHzXwp5l7g"
  },
  "Bubble Sort Concept": {
    "resource_type": "video",
    "url": "https://www.youtube.com/embed/ph-C6sUyzE4"
  },
  "Algorithm Demonstration": {
    "resource_type": "video",
    "url": "https://www.youtube.com/embed/aFjElrUB0Qw"
  },
  "Optimized Bubble Sort Concept": {
    "resource_type": "video",
    "url": "https://www.youtube.com/embed/8Z2yvFHNnbk"
  },
  "Technique Example": {
    "resource_type": "video",
    "url": "https://www.youtube.com/embed/UJvH3z_fw-4"
  },
  "Analysis of Bubble Sort": {
    "resource_type": "video",
    "url": "https://www.youtube.com/embed/4E6CIJgl42I"
  }
};
#+END_SRC

* Tangle
#+BEGIN_SRC javascript :tangle realization.js :eval no :noweb yes
<<realization-catalog>>
#+END_SRC
